Package org.apache.log4j.spi

## Class ErrorItem

- java.lang.Object
- - org.apache.log4j.spi.ErrorItem

-     public class ErrorItem
      extends Object

  Used to store special log4j errors which cannot be logged using internal logging. Such errors include those occurring during the initial phases of log4j configuration or errors emanating from core components such as Logger or Hierarchy.
  Author:
    Ceki Gulcu

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ErrorItem​(String message)` | Creaet new instance.
    `ErrorItem​(String message, Exception e)` | Create new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump()` | Dump the details of this ErrorItem to System.out.
    `void` | `dump​(PrintStream ps)` | Dump the details of this ErrorItem on the specified `PrintStream`.
    `int` | `getColNumber()` | Get column number.
    `Throwable` | `getException()` | Get exception.
    `int` | `getLineNumber()` | Get line number.
    `String` | `getMessage()` | Get message.
    `void` | `setColNumber​(int colNumber)` | Set column number.
    `void` | `setException​(Throwable exception)` | Set exception.
    `void` | `setLineNumber​(int lineNumber)` | Set line number.
    `void` | `setMessage​(String message)` | Set message.
    `String` | `toString()` | String representation of ErrorItem.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorItem

          public ErrorItem​(String message,
                           Exception e)

      Create new instance.
      Parameters:
        `message` - message
        `e` - exception

    - #### ErrorItem

          public ErrorItem​(String message)

      Creaet new instance.
      Parameters:
        `message` - message.

  - ### Method Detail

    - #### getColNumber

          public int getColNumber()

      Get column number.
      Returns:
        column number.

    - #### setColNumber

          public void setColNumber​(int colNumber)

      Set column number.
      Parameters:
        `colNumber` - new column number.

    - #### getException

          public Throwable getException()

      Get exception.
      Returns:
        exception.

    - #### setException

          public void setException​(Throwable exception)

      Set exception.
      Parameters:
        `exception` - exception

    - #### getLineNumber

          public int getLineNumber()

      Get line number.
      Returns:
        line number.

    - #### setLineNumber

          public void setLineNumber​(int lineNumber)

      Set line number.
      Parameters:
        `lineNumber` - line number.

    - #### getMessage

          public String getMessage()

      Get message.
      Returns:
        message.

    - #### setMessage

          public void setMessage​(String message)

      Set message.
      Parameters:
        `message` - message.

    - #### toString

          public String toString()

      String representation of ErrorItem.
      Overrides:
        `toString` in class `Object`
      Returns:
        string.

    - #### dump

          public void dump()

      Dump the details of this ErrorItem to System.out.

    - #### dump

          public void dump​(PrintStream ps)

      Dump the details of this ErrorItem on the specified `PrintStream`.
      Parameters:
        `ps` - print stream.